{% extends 'base_navbar.html' %}
{% load static humanize mathfilters icon %}

{% block title %}
    Génération d'une facture
{% endblock %}

{% block navbar_tresorerie %}
    active
{% endblock %}

{% block head_css %}
    <link href="{% static 'treso/css/facture.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block content %}
    <header>
        <h1>Bilan de trésorerie</h1>
        <div class="header-content">
            <p>
                Vous pouvez consulter les factures générées dans la section "Générer une facture".
            </p>
            <p>
                <a class="btn btn-outline-dark" href="{% url 'facture' %}" target="_blank">
                    <i class="fas fa-plus-circle"></i> Créer une facture
                </a>
                <a class="btn btn-outline-dark" href="{% url 'emprunts_facturables' %}" target="_blank">
                    <i class="fas fa-plus-circle"></i> Créer une facture d'emprunt
                </a>
                <a class="btn btn-outline-dark" href="{% url 'devis' %}" target="_blank">
                    <i class="fas fa-plus-circle"></i> Créer un devis
                </a>
                <a class="btn btn-outline-dark" href="{% url 'note_de_frais' %}" target="_blank">
                    <i class="fas fa-plus-circle"></i> Créer une note de frais
                </a>
            </p>
            <p>
                <button class="btn btn-outline-dark" onclick="location.href='{% url 'telecharger_factures' %}'">
                    <i class="fas fa-download"></i> Télécharger toutes les factures
                </button>
                <button class="btn btn-outline-dark" onclick="location.href='{% url 'telecharger_devis' %}'">
                    <i class="fas fa-download"></i> Télécharger tous les devis
                </button>
                <button class="btn btn-outline-dark" onclick="location.href='{% url 'telecharger_notes_de_frais' %}'">
                    <i class="fas fa-download"></i> Télécharger toutes les notes de frais
                </button>
            </p>
        </div>
    </header>

    <div class="container-fluid">
        {% if ndfs_en_attente %}
            <h3>Notes de frais en attente de validation</h3>

            {% for ndf in ndfs_en_attente %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <h3 href="#{{ ndf.id }}-details" data-toggle="collapse" aria-expanded="false"
                                    class="dropdown-toggle">
                                    <span class="badge badge-pill
                                        {% if ndf.statut == 'ATT' %}
                                        badge-secondary
                                        {% elif ndf.statut == 'VAL' %}
                                        badge-primary
                                        {% elif ndf.statut == 'REF' %}
                                        badge-danger
                                        {% elif ndf.statut == 'REM' %}
                                        badge-success
                                        {% endif %}
                                        ">
                                        {{ ndf.get_statut_display }}
                                    </span>
                                    N{{ ndf.numero }}
                                    {{ ndf.collaborateur }}
                                    ({{ ndf.total|floatformat:2|intcomma }} €)
                                </h3>
                                <p class="collapse" id="{{ ndf.id }}-details">
                                    {% for element in ndf.elements.all %}
                                        {{ element.frais }} (Montant : {{ element.montant|floatformat:2|intcomma }} €)
                                        <br/>
                                    {% endfor %}
                                </p>
                            </div>
                            <div class="col-md-2">
                                <div class="btn-group">
                                    <a class="btn btn-dark"
                                       href="{% url 'detail_note_de_frais' ndf.id %}">Détail</a>
                                    <a class="btn btn-primary"
                                       data-toggle="confirmation" data-btn-ok-label="Oui"
                                       data-btn-cancel-label="Non" data-btn-ok-class="btn-primary"
                                       data-title="Voulez vous vraiment valider cette note de frais ?"
                                       href="{% url 'accepter_note_de_frais' ndf.id %}">Valider</a>
                                    <a class="btn btn-danger" href="{% url 'refuser_note_de_frais' ndf.id %}"
                                       data-toggle="confirmation" data-btn-ok-label="Oui"
                                       data-btn-cancel-label="Non" data-btn-ok-class="btn-danger"
                                       data-title="Voulez vous vraiment refuser cette note de frais ?">Refuser</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        {% endif %}

        {% if factures %}
            <h3>Factures</h3>

            {% for facture in factures %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <h3 href="#{{ facture.id }}-details" data-toggle="collapse" aria-expanded="false"
                                    class="dropdown-toggle">
                                    F{{ facture.numero }}
                                    {% if facture.label %}
                                        {{ facture.label }}
                                    {% else %}
                                        {{ facture.motif }}
                                    {% endif %}
                                    ({{ facture.total|floatformat:2|intcomma }} €)
                                </h3>
                                <p class="collapse" id="{{ facture.id }}-details">
                                    {% for element in facture.elements.all %}
                                        {{ element.nom }} (Quantité : {{ element.quantite }}, Prix unitaire:
                                        {{ element.prix |floatformat:2|intcomma }} €)<br/>
                                    {% endfor %}
                                </p>
                            </div>
                            <div class="col-md-2">
                                <div class="btn-group">
                                    <a class="btn btn-dark" target="_blank"
                                       href="{% url 'generer_facture' facture.id %}">Télécharger</a>
                                    <a class="btn btn-danger" href="{% url 'supprimer_facture' facture.id %}"
                                       data-toggle="confirmation" data-btn-ok-label="Supprimer"
                                       data-btn-cancel-label="Annuler" data-btn-ok-class="btn-danger"
                                       data-title="Voulez vous vraiment supprimer la facture ?">Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}

            <hr>
        {% endif %}

        {% if devis %}
            <h3>Devis</h3>

            {% for d in devis %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <h3 href="#{{ d.id }}-details" data-toggle="collapse" aria-expanded="false"
                                    class="dropdown-toggle">
                                    D{{ d.numero }}
                                    {% if facture.label %}
                                        {{ d.label }}
                                    {% else %}
                                        {{ d.motif }}
                                    {% endif %}
                                    ({{ d.total|floatformat:2|intcomma }} €)
                                </h3>
                                <p class="collapse" id="{{ d.id }}-details">
                                    {% for element in d.elements.all %}
                                        {{ element.nom }} (Quantité : {{ element.quantite }}, Prix unitaire :
                                        {{ element.prix |floatformat:2|intcomma }} €)<br/>
                                    {% endfor %}
                                </p>
                            </div>
                            <div class="col-md-2">
                                <div class="btn-group">
                                    <a class="btn btn-dark" target="_blank"
                                       href="{% url 'generer_devis' d.id %}">Télécharger</a>
                                    <a class="btn btn-danger" href="{% url 'supprimer_devis' d.id %}"
                                       data-toggle="confirmation" data-btn-ok-label="Supprimer"
                                       data-btn-cancel-label="Annuler" data-btn-ok-class="btn-danger"
                                       data-title="Voulez vous vraiment supprimer la facture ?">Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}

            <hr>
        {% endif %}

        {% if ndfs %}
            <h3>Notes de frais</h3>

            {% for ndf in ndfs %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <h3 href="#{{ ndf.id }}-details" data-toggle="collapse" aria-expanded="false"
                                    class="dropdown-toggle">
                                    <span class="badge badge-pill
                                        {% if ndf.statut == 'ATT' %}
                                        badge-secondary
                                        {% elif ndf.statut == 'VAL' %}
                                        badge-primary
                                        {% elif ndf.statut == 'REF' %}
                                        badge-danger
                                        {% elif ndf.statut == 'REM' %}
                                        badge-success
                                        {% endif %}
                                        ">
                                        {{ ndf.get_statut_display }}
                                    </span>
                                    N{{ ndf.numero }}
                                    {{ ndf.collaborateur }}
                                    ({{ ndf.total|floatformat:2|intcomma }} €)
                                </h3>
                                <p class="collapse" id="{{ ndf.id }}-details">
                                    {% for element in ndf.elements.all %}
                                        {{ element.frais }} (Montant : {{ element.montant|floatformat:2|intcomma }} €)
                                        <br/>
                                    {% endfor %}
                                </p>
                            </div>
                            <div class="col-md-2">
                                <div class="btn-group">
                                    <a class="btn btn-dark"
                                       href="{% url 'detail_note_de_frais' ndf.id %}">Détail</a>
                                    <a class="btn btn-primary" target="_blank"
                                       href="{% url 'generer_note_de_frais' ndf.id %}">Télécharger</a>
                                    <a class="btn btn-danger" href="{% url 'supprimer_note_de_frais' ndf.id %}"
                                       data-toggle="confirmation" data-btn-ok-label="Supprimer"
                                       data-btn-cancel-label="Annuler" data-btn-ok-class="btn-danger"
                                       data-title="Voulez vous vraiment supprimer la facture ?">Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        {% endif %}
    </div>
{% endblock %}


{% block footer_javascript %}
    {# Plugin confirmation box #}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>

    <script type="text/javascript" src="{% static 'treso/js/liste_facture.js' %}?v=3"></script>
{% endblock %}
